WASM-TOOLS(1)

NAME
wasm-tools compose - WebAssembly component composer.

SYNOPSIS
wasm-tools compose [OPTIONS] <COMPONENT>

DESCRIPTION
WebAssembly component composer.

A tool for composing WebAssembly components together.

  Arguments:

    <COMPONENT>

    The path to the root component to compose

OPTIONS

-v, --verbose...

    Use verbose output (-v info, -vv debug, -vvv trace)

--color <COLOR>

    Configuration over whether terminal colors are used in output.

    Supports one of `auto|never|always|always-ansi`. The default is to detect what to do based on the terminal environment, for example by using `isatty`.

    [default: auto]

-o, --output <OUTPUT>

    Where to place output.

    If not provided then stdout is used.

-c, --config <CONFIG>

    The path to the configuration file to use

-d, --definitions <DEFS>

    Definition components whose exports define import dependencies to fulfill from

-p, --search-path <PATH>

    A path to search for imports

--skip-validation

    Skip validation of the composed output component

--no-imports

    Do not allow instance imports in the composed output component

-t, --wat

    Output the text format of WebAssembly instead of the binary format

-h, --help

    Print help (see a summary with '-h')

-V, --version

    Print version